## org.hibernate.type
Class UrlType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<URL>
              org.hibernate.type.UrlType

All Implemented Interfaces:
  Serializable, BasicType, DiscriminatorType<URL>, IdentifierType<URL>, LiteralType<URL>, SingleColumnType<URL>, StringRepresentableType<URL>, Type, XmlRepresentableType<URL>

    public class UrlType

extends AbstractSingleColumnStandardBasicType<URL>
implements DiscriminatorType<URL>

A type that maps between `VARCHAR` and `URL`

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static UrlType` `INSTANCE`

Constructor Summary
`UrlType()`

Method Summary
`String` `getName()` Returns the abbreviated name of the type.
`String` `objectToSQLString(URL value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.
`protected boolean` `registerUnderJavaType()`
`URL` `stringToObject(String xml)` Convert the value from the mapping file to a Java object.
`String` `toString(URL value)` Render the value to the string representation.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set`

Field Detail

### INSTANCE

    public static final UrlType INSTANCE

Constructor Detail

### UrlType

    public UrlType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### registerUnderJavaType

    protected boolean registerUnderJavaType()

  Overrides:
    `registerUnderJavaType` in class `AbstractStandardBasicType<URL>`

### toString

    public String toString(URL value)

  Description copied from interface: `StringRepresentableType`
  Render the value to the string representation.

  Specified by:
    `toString` in interface `SingleColumnType<URL>`
  Specified by:
    `toString` in interface `StringRepresentableType<URL>`
  Overrides:
    `toString` in class `AbstractStandardBasicType<URL>`
  Parameters:
    `value` - The value to render to string.
  Returns:
    The string representation

### objectToSQLString

    public String objectToSQLString(URL value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<URL>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

### stringToObject

    public URL stringToObject(String xml)
                       throws Exception

  Description copied from interface: `IdentifierType`
  Convert the value from the mapping file to a Java object.

  Specified by:
    `stringToObject` in interface `IdentifierType<URL>`
  Parameters:
    `xml` - the value of `discriminator-value` or `unsaved-value` attribute
  Returns:
    The converted value of the string representation.
  Throws:
    `Exception` - Indicates a problem converting from the string

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.